QGIS Application - Bug report #16873
7d67b02 changes or corrupts project format without warning (from 313ec55)
2017-07-15 02:18 PM - Patrick Dunford

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: Yes
Operating System: Xubuntu artful Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24772
Description

If | open a project in commit:7d67b02 then save it then try to reopen it in 313ec55 some data can't be read.
Examples include the project CRS, and layer labels.

There are no warnings on opening the project in commit:7d67b02 that the project file format has changed, which would ordinarily be the
case.

History

#1 - 2017-07-15 02:21 PM - Patrick Dunford

It looks like in 7d67b02 it has trouble recognising the CRS because it's displaying in project properties "No projection or unknown/non-earth projection”

#2 - 2017-07-15 05:32 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

#3 - 2017-07-16 02:29 PM - Patrick Dunford

This has been confirmed as an issue in Windows 7 x64 with build c1d339c¢

| disagree that you have changed the status of "Corrupts data" to No because there is significant data not being displayed on the map, indicating the

project file is probably corrupted.

#4 - 2017-07-16 04:14 PM - Giovanni Manghi

Patrick Dunford wrote:

This has been confirmed as an issue in Windows 7 x64 with build ¢1d339¢c

indicating the project file is probably corrupted.

have you checked? project files are xml that you can compare easily.

#5 - 2017-07-16 04:16 PM - Giovanni Manghi
- Priority changed from Normal to High
- Regression? changed from No to Yes
Patrick Dunford wrote:

This has been confirmed as an issue in Windows 7 x64 with build ¢1d339c

| disagree that you have changed the status of "Corrupts data" to No because there is significant data not being displayed on the map, indicating the

project file is probably corrupted.

| also think that with the amount of work and changes being done on qgis master this should be probably be spotted and fixed soon.

#6 - 2017-07-16 04:17 PM - Patrick Dunford

Sample data:
https://drive.google.com/open?id=0ByH1cL0SIi1vWkQOcFR4NVBGc3c

Confirmed as an issue with Linux build 7d67b02 and later, Windows build c1d339¢c

Download the folder "Qgis Sample"

Start Qgis and click to open a project

Open the QGis Sample folder

Open the GD folder

Open the RM folder

Open the Project folder

Open the OS folder

Open the project file "OtagoSouthland299¢.qgs"

There should be a message about 97 missing layers, this can be ignored (click OK)

As the project opens you will see "Exception” Could not create transform to calculate true north
The reason for this error is the project CRS has not been recognised. Click on Project Properties then you can see "No projection (or unknown / non earth

projection)" is checked. (The project was created with the EPSG:3857 projection)

Familiarise yourself with the range of layers being displayed in the map.
Save the project under a new name.

Close Qgis (or click the New button to close the current project)

Start Qgis (or re open the project)

Notice how many layers are not now displayed. In particular:

All of the "Global Water" layers

All of the "Land" layers

All of the "Terrain" layers.

All layer labels have disappeared.

#7 - 2017-07-20 02:30 PM - Jiirgen Fischer

- Description updated

#8 - 2017-09-07 09:03 AM - Patrick Dunford

And this is a still a problem in the latest master 655121

#9 - 2017-09-08 08:39 AM - Nyall Dawson
- Status changed from Open to Feedback
Are you loading a project from an earlier 3.0 build, or a stable 2.x build?

#10 - 2017-09-08 02:36 PM - Patrick Dunford
It's several projects | have been working with in 2.99 through various builds throughout the past year or so. They have been updated numerous times with

new masters changing formats. However the masters | use most frequently (stable enough to be used all the time for production projects) are 313ec55 on
Xubuntu 16.04/17.04 and 1182816 on Windows 7.

#11 - 2017-09-09 11:07 AM - Nyall Dawson
- Status changed from Feedback to Closed
- Resolution set to invalid

In that case there's no issue here - we don't gaurantee project stability during a development release (since it adds extra code we have to stay around

forever more). If this was a 2.x project, then it's a different story.

#12 - 2017-09-09 11:17 AM - Patrick Dunford

Nyall Dawson wrote:

In that case there's no issue here - we don't gaurantee project stability during a development release (since it adds extra code we have to stay

around forever more). If this was a 2.x project, then it's a different story.

The expected behaviour in all other versions of the software is a warning message telling you that the project format has changed.

#13 - 2017-09-09 12:13 PM - Patrick Dunford

Two questions:

1. Either the software intentionally upgrades the project file format without issuing a warning, or

2. The software contains a bug that causes the project file format to become corrupted.

I don't think this response has resolved either of those questions.
